TILESTACHE-LIST(1)

NAME
tilestache-list - generates list of tiles based on geographic or other criteria

SYNOPSIS
tilestache-list [options] [zoom...]

DESCRIPTION
This manual page documents briefly the tilestache-list command.

tilestache-list generates a list of tiles based on geographic or other criteria.

No images are created and no Tilestache configuration is read, but a list of tile coordinates in Z/X/Y form compatible with tilestache-seed --tile-list output.

Example:

    tilestache-list.py -b 52.55 13.28 52.46 13.51 11 12 13

Protip: seed a cache in parallel on 8 CPUs with split and xargs like this:

    tilestache-list.py 12 13 14 15 | split -l 20 - tiles/list-
    ls -1 tiles/list-* | xargs -n1 -P8 tilestache-seed.py -c tilestache.cfg -l osm --tile-list

OPTIONS

-b, --bbox lat lon lat lon
    Bounding box in floating point geographic coordinates: south west north east.

-p, --padding number
    Extra margin of tiles to add around bounded area.

--from-mbtiles file
    Optional input file for tiles, will be read as an MBTiles 1.1 tileset. See http://mbtiles.org for more information. Overrides --bbox and --padding.

AUTHOR
TileStache was written by Michal Migurski <mike@stamen.com>.